Unix
Mac OS X
iPhone
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module statistic Methods

## EvaluateImage

EvaluateImage() applies a value to the image with an arithmetic, relational, or logical operator to an image. Use these operations to lighten or darken an image, to increase or decrease contrast in an image, or to produce the "negative" of an image.

The format of the EvaluateImageChannel method is:

      MagickBooleanType EvaluateImage(Image *image,
        const MagickEvaluateOperator op,const double value,
        ExceptionInfo *exception)
      MagickBooleanType EvaluateImages(Image *images,
        const MagickEvaluateOperator op,const double value,
        ExceptionInfo *exception)
      MagickBooleanType EvaluateImageChannel(Image *image,
        const ChannelType channel,const MagickEvaluateOperator op,
        const double value,ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### op

A channel op.

##### value

A value value.

##### exception

return any errors or warnings in this structure.

## FunctionImage

FunctionImage() applies a value to the image with an arithmetic, relational, or logical operator to an image. Use these operations to lighten or darken an image, to increase or decrease contrast in an image, or to produce the "negative" of an image.

The format of the FunctionImageChannel method is:

      MagickBooleanType FunctionImage(Image *image,
        const MagickFunction function,const ssize_t number_parameters,
        const double *parameters,ExceptionInfo *exception)
      MagickBooleanType FunctionImageChannel(Image *image,
        const ChannelType channel,const MagickFunction function,
        const ssize_t number_parameters,const double *argument,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### function

A channel function.

##### parameters

one or more parameters.

##### exception

return any errors or warnings in this structure.

## GetImageChannelMean

GetImageChannelMean() returns the mean and standard deviation of one or more image channels.

The format of the GetImageChannelMean method is:

      MagickBooleanType GetImageChannelMean(const Image *image,
        const ChannelType channel,double *mean,double *standard_deviation,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### mean

the average value in the channel.

##### standard_deviation

the standard deviation of the channel.

##### exception

return any errors or warnings in this structure.

## GetImageChannelKurtosis

GetImageChannelKurtosis() returns the kurtosis and skewness of one or more image channels.

The format of the GetImageChannelKurtosis method is:

      MagickBooleanType GetImageChannelKurtosis(const Image *image,
        const ChannelType channel,double *kurtosis,double *skewness,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### kurtosis

the kurtosis of the channel.

##### skewness

the skewness of the channel.

##### exception

return any errors or warnings in this structure.

## GetImageChannelRange

GetImageChannelRange() returns the range of one or more image channels.

The format of the GetImageChannelRange method is:

      MagickBooleanType GetImageChannelRange(const Image *image,
        const ChannelType channel,double *minima,double *maxima,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### minima

the minimum value in the channel.

##### maxima

the maximum value in the channel.

##### exception

return any errors or warnings in this structure.

## GetImageChannelStatistics

GetImageChannelStatistics() returns statistics for each channel in the image. The statistics include the channel depth, its minima, maxima, mean, standard deviation, kurtosis and skewness. You can access the red channel mean, for example, like this:

      channel_statistics=GetImageChannelStatistics(image,exception);
      red_mean=channel_statistics[RedChannel].mean;

Use MagickRelinquishMemory() to free the statistics buffer.

The format of the GetImageChannelStatistics method is:

      ChannelStatistics *GetImageChannelStatistics(const Image *image,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### exception

return any errors or warnings in this structure.

Discourse Server • Studio